import org.junit.Assert;
import org.junit.Test;

import java.util.Arrays;
import java.util.List;

public class CalculatorTest {

    @Test
    public void addTest(){
        int sum = new Calculator().add(5, 10);
        Assert.assertTrue("Success", sum == 15);
    }

    @Test
    public void failTest(){
        int sum = new Calculator().add(5, 10);
        Assert.assertFalse("Failure", sum == 10);
    }

    @Test
    public void equals(){
        int product = new Calculator().multiply(5, 5);
        Assert.assertEquals(25, product);
    }

    @Test
    public void arrayEquals(){
        int[] nums = {1,2,3};
        Assert.assertArrayEquals(new int[]{1,2,3}, nums);
    }

}
